(function($) {
    'use strict';

    $(function() {
        // Initialize color pickers
        $('.color-field').wpColorPicker({
            change: updatePreview
        });

        function updatePreview() {
            var title = $('#popup_title').val();
            var description = $('#popup_description').val();
            var buttonText = $('#button_text').val();
            var showNameField = $('#show_name_field').is(':checked');
            var bgColor = $('#popup_background_color').val();
            var textColor = $('#popup_text_color').val();
            var buttonColor = $('#submit_button_color').val();
            var triggerText = $('#trigger_button_text').val();
            var triggerColor = $('#trigger_button_color').val();
            var triggerTextColor = $('#trigger_button_text_color').val();

            $('#preview-popup-title').text(title);
            $('#preview-popup-description').text(description);
            $('#preview-submit-button').text(buttonText);
            $('#preview-name-field').toggle(showNameField);
            $('.ctp-popup-content').css({
                'background-color': bgColor,
                'color': textColor
            });
            $('#preview-submit-button').css('background-color', buttonColor);
            $('#ctp-preview-trigger').text(triggerText).css({
                'background-color': triggerColor,
                'color': triggerTextColor
            });
        }

        // Update preview on input change
        $('#ctp-form input, #ctp-form textarea').on('input', updatePreview);
        $('#show_name_field').on('change', updatePreview);

        // Show/hide preview popup
        $('#ctp-preview-trigger').on('click', function() {
            $('#ctp-preview-popup').show();
        });
        $('.ctp-close').on('click', function() {
            $('#ctp-preview-popup').hide();
        });

        // Initial preview update
        updatePreview();
    });

})(jQuery);