<?php
$popups = Click_To_Pop_DB::get_popups();
?>
<div class="wrap">
    <h1 class="wp-heading-inline"><?php echo esc_html(get_admin_page_title()); ?></h1>
    <a href="<?php echo admin_url('admin.php?page=click-to-pop-add-new'); ?>" class="page-title-action">Add New</a>
    <hr class="wp-header-end">

    <table class="wp-list-table widefat fixed striped">
        <thead>
            <tr>
                <th>Name</th>
                <th>Shortcode</th>
                <th>Created At</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($popups as $popup) : ?>
                <tr>
                    <td><?php echo esc_html($popup->name); ?></td>
                    <td>
                        <input type="text" class="shortcode-field" value='[click_to_pop id="<?php echo $popup->id; ?>"]' readonly>
                        <button class="copy-shortcode button button-small">Copy</button>
                    </td>
                    <td><?php echo esc_html($popup->created_at); ?></td>
                    <td>
                        <a href="<?php echo admin_url('admin.php?page=click-to-pop-add-new&id=' . $popup->id); ?>">Edit</a> |
                        <a href="#" class="delete-popup" data-id="<?php echo $popup->id; ?>">Delete</a>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<script>
jQuery(document).ready(function($) {
    $('.copy-shortcode').on('click', function() {
        var $shortcodeField = $(this).prev('.shortcode-field');
        $shortcodeField.select();
        document.execCommand('copy');
        $(this).text('Copied!');
        setTimeout(() => {
            $(this).text('Copy');
        }, 2000);
    });

    $('.delete-popup').on('click', function(e) {
        e.preventDefault();
        if (confirm('Are you sure you want to delete this popup?')) {
            var id = $(this).data('id');
            $.post(ajaxurl, {
                action: 'delete_popup',
                id: id,
                nonce: '<?php echo wp_create_nonce('delete_popup_nonce'); ?>'
            }, function(response) {
                if (response.success) {
                    location.reload();
                } else {
                    alert('Error deleting popup');
                }
            });
        }
    });
});
</script>

<style>
.shortcode-field {
    width: 200px;
    margin-right: 5px;
}
</style>