<?php
$active_tab = isset($_GET['tab']) ? $_GET['tab'] : 'all';
$popups = Click_To_Pop_DB::get_popups();
?>
<div class="wrap">
    <h1 class="wp-heading-inline"><?php echo esc_html(get_admin_page_title()); ?></h1>
    <hr class="wp-header-end">

    <h2 class="nav-tab-wrapper">
        <a href="?page=<?php echo $_GET['page']; ?>&tab=all" class="nav-tab <?php echo $active_tab == 'all' ? 'nav-tab-active' : ''; ?>">All Subscribers</a>
        <a href="?page=<?php echo $_GET['page']; ?>&tab=segmented" class="nav-tab <?php echo $active_tab == 'segmented' ? 'nav-tab-active' : ''; ?>">Segmented Lists</a>
    </h2>

    <?php if ($active_tab == 'all') : ?>
        <?php $subscribers = Click_To_Pop_DB::get_subscribers(); ?>
        <table class="wp-list-table widefat fixed striped">
            <thead>
                <tr>
                    <th>Email</th>
                    <th>Name</th>
                    <th>Popup</th>
                    <th>Subscribed At</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($subscribers as $subscriber) : ?>
                    <tr>
                        <td><?php echo esc_html($subscriber->email); ?></td>
                        <td><?php echo esc_html($subscriber->name); ?></td>
                        <td><?php echo esc_html(Click_To_Pop_DB::get_popup_name($subscriber->popup_id)); ?></td>
                        <td><?php echo esc_html($subscriber->subscribed_at); ?></td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php else : ?>
        <div class="tablenav top">
            <div class="alignleft actions">
                <form method="get">
                    <input type="hidden" name="page" value="<?php echo $_GET['page']; ?>">
                    <input type="hidden" name="tab" value="segmented">
                    <select name="popup_id">
                        <option value="">Select a Popup</option>
                        <?php foreach ($popups as $popup) : ?>
                            <option value="<?php echo $popup->id; ?>" <?php selected(isset($_GET['popup_id']) ? $_GET['popup_id'] : '', $popup->id); ?>><?php echo esc_html($popup->name); ?></option>
                        <?php endforeach; ?>
                    </select>
                    <?php submit_button('Filter', 'secondary', 'filter_action', false); ?>
                </form>
            </div>
        </div>

        <?php if (isset($_GET['popup_id']) && !empty($_GET['popup_id'])) : ?>
            <?php $subscribers = Click_To_Pop_DB::get_subscribers($_GET['popup_id']); ?>
            <table class="wp-list-table widefat fixed striped">
                <thead>
                    <tr>
                        <td>Email</td>
                        <td>Name</td>
                        <td>Subscribed At</td>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($subscribers as $subscriber) : ?>
                        <tr>
                            <td><?php echo esc_html($subscriber->email); ?></td>
                            <td><?php echo esc_html($subscriber->name); ?></td>
                            <td><?php echo esc_html($subscriber->subscribed_at); ?></td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        <?php else : ?>
            <p>Please select a popup to view its subscribers.</p>
        <?php endif; ?>
    <?php endif; ?>
</div>