<?php
/**
 * Plugin Name: Click to Pop
 * Plugin URI: http://example.com/plugin-name-uri/
 * Description: Display customizable popup forms when users click on buttons or links.
 * Version: 1.0.0
 * Author: Your Name
 * Author URI: http://example.com/
 * License: GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: click-to-pop
 * Domain Path: /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

// Define plugin constants
define('CLICK_TO_POP_VERSION', '1.0.0');
define('CLICK_TO_POP_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('CLICK_TO_POP_PLUGIN_URL', plugin_dir_url(__FILE__));

/**
 * The code that runs during plugin activation.
 */
function activate_click_to_pop() {
    require_once CLICK_TO_POP_PLUGIN_DIR . 'includes/class-click-to-pop.php';
    Click_To_Pop::activate();
}

/**
 * The code that runs during plugin deactivation.
 */
function deactivate_click_to_pop() {
    require_once CLICK_TO_POP_PLUGIN_DIR . 'includes/class-click-to-pop.php';
    Click_To_Pop::deactivate();
}

register_activation_hook(__FILE__, 'activate_click_to_pop');
register_deactivation_hook(__FILE__, 'deactivate_click_to_pop');
register_activation_hook(__FILE__, array('Click_To_Pop', 'activate'));

/**
 * Begins execution of the plugin.
 */
function run_click_to_pop() {
    require_once CLICK_TO_POP_PLUGIN_DIR . 'includes/class-click-to-pop.php';
    $plugin = new Click_To_Pop();
    $plugin->run();
}
function ctp_create_tables_if_not_exist() {
    require_once plugin_dir_path(__FILE__) . 'includes/class-click-to-pop-db.php';
    Click_To_Pop_DB::create_tables();
}

register_activation_hook(__FILE__, 'ctp_create_tables_if_not_exist');
add_action('plugins_loaded', 'ctp_create_tables_if_not_exist');

// Run the plugin
run_click_to_pop();