<?php
class Click_To_Pop {
    protected $loader;
    protected $plugin_name;
    protected $version;

    public function __construct() {
        $this->plugin_name = 'click-to-pop';
        $this->version = '1.0.0';
        $this->load_dependencies();
        $this->define_admin_hooks();
        $this->define_public_hooks();
    }

    private function load_dependencies() {
        $plugin_dir = plugin_dir_path(dirname(__FILE__));
        require_once $plugin_dir . 'includes/class-click-to-pop-loader.php';
        require_once $plugin_dir . 'includes/class-click-to-pop-db.php';
        require_once $plugin_dir . 'admin/class-click-to-pop-admin.php';
        require_once $plugin_dir . 'public/class-click-to-pop-public.php';
        $this->loader = new Click_To_Pop_Loader();
        Click_To_Pop_DB::init();
    }

    private function define_admin_hooks() {
        $plugin_admin = new Click_To_Pop_Admin($this->get_plugin_name(), $this->get_version());
        $this->loader->add_action('admin_enqueue_scripts', $plugin_admin, 'enqueue_styles');
        $this->loader->add_action('admin_enqueue_scripts', $plugin_admin, 'enqueue_scripts');
        $this->loader->add_action('admin_menu', $plugin_admin, 'add_plugin_admin_menu');
        $this->loader->add_action('wp_ajax_ctp_submit_form', $plugin_admin, 'handle_form_submission');
        $this->loader->add_action('wp_ajax_nopriv_ctp_submit_form', $plugin_admin, 'handle_form_submission');
        $this->loader->add_action('wp_ajax_save_popup', $plugin_admin, 'save_popup');
    }

    private function define_public_hooks() {
        $plugin_public = new Click_To_Pop_Public($this->get_plugin_name(), $this->get_version());
        $this->loader->add_action('wp_enqueue_scripts', $plugin_public, 'enqueue_styles');
        $this->loader->add_action('wp_enqueue_scripts', $plugin_public, 'enqueue_scripts');
        $this->loader->add_action('wp_footer', $plugin_public, 'display_popups');
    }

    public function run() {
        $this->loader->run();
    }

    public function get_plugin_name() {
        return $this->plugin_name;
    }

    public function get_version() {
        return $this->version;
    }

    public static function activate() {
        require_once plugin_dir_path(dirname(__FILE__)) . 'includes/class-click-to-pop-db.php';
        Click_To_Pop_DB::create_tables();
    }

    public static function deactivate() {
        // Perform deactivation tasks if needed
    }
}