(function($) {
    'use strict';

    $(function() {
        // Show popup when trigger is clicked
        $('.ctp-trigger').on('click', function(e) {
            e.preventDefault();
            var popupId = $(this).data('popup-id');
            $('#ctp-popup-' + popupId).fadeIn();
        });

        // Close popup when close button is clicked
        $('.ctp-close').on('click', function() {
            $(this).closest('.ctp-popup').fadeOut();
        });

        // Close popup when clicking outside the popup content
        $(document).on('click', function(e) {
            if ($(e.target).closest('.ctp-popup-content').length === 0 && !$(e.target).hasClass('ctp-trigger')) {
                $('.ctp-popup').fadeOut();
            }
        });

        // Handle form submission
        $('.ctp-form').on('submit', function(e) {
            e.preventDefault();
            var form = $(this);
            var messageContainer = form.siblings('.ctp-message');

            $.ajax({
                url: ctp_ajax_object.ajax_url,
                type: 'POST',
                data: form.serialize(),
                beforeSend: function() {
                    messageContainer.html('Submitting...').show();
                },
                success: function(response) {
                    if (response.success) {
                        messageContainer.html(response.data).removeClass('error').addClass('success');
                        form.hide();
                    } else {
                        messageContainer.html(response.data).removeClass('success').addClass('error');
                    }
                },
                error: function() {
                    messageContainer.html('An error occurred. Please try again.').removeClass('success').addClass('error');
                }
            });
document.querySelector('.ctp-trigger').style.cssText = `
    background-color: #3e3c90; 
    color: #ffffff; 
    padding: 10px 15px; 
    border: none; 
    border-radius: 24px; 
    cursor: pointer;
`;

        });
    });

})(jQuery);